/**
 * @file FigureUtil.h
 * @brief LN^tBMA֘A[eBeB֐錾
 * @author cherub
 */
#ifndef FIGURE_UTILITY_HEADER_FILE_
#define FIGURE_UTILITY_HEADER_FILE_
#pragma once

#include <vector>
#include "Figure.h"

/**
 * @namespace NFigureUtil FigureUtil.h
 * @brief LN^tBMA֘Ã[eBeB֐Q̖O
 * @author cherub
 */
namespace NFigureUtil
{
	// 2̓_Q̊Ԃ̃[NbhaŏgXtH[̌vZ: min dist(pc0, trans(pc1))
	D3DXMATRIX CalcTransformBetweenFigures(const std::vector<D3DXVECTOR3> &pc0, const std::vector<D3DXVECTOR3> &pc1);
	// 2̃tBMA̎px
	float PoseDistance(const CFigure &fig0, const CFigure &fig1);
	// 2̃t[ł̎px
	float PoseDistance(CFigure &fig, const CMotionData &mot, size_t frm0, size_t frm1);
};

#endif //FIGURE_UTILITY_HEADER_FILE_